﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace vbFiguur
{
    class Program
    {
        static void Main(string[] args)
        {
            Vierkant v = new Vierkant() { Zijde = 4 };
            TekenFiguur(v);
            Cirkel c = new Cirkel() { Straal = 7 };
            TekenFiguur(c);
            Figuur[] figuren = new Figuur[2];
            figuren[0] = new Cirkel() { Straal = 12 };
            figuren[1] = new Vierkant() { Zijde = 7 };
            foreach (Figuur f in figuren)
            {
                f.Teken();
            }
        }
        static void TekenFiguur(Figuur f)
        {
            f.Teken();
        }
    }
    abstract class Figuur
    {
        public String Naam { get; set; }
        public abstract void Teken();
    }
    class Vierkant : Figuur
    {
        public int Zijde { get; set; }

        public override void Teken()
        {
            Console.WriteLine("Ik teken een vierkant met zijde " + Zijde);
        }
    }
    class Cirkel : Figuur
    {
        public int Straal { get; set; }

        public override void Teken()
        {
            Console.WriteLine("Ik teken een cirkel met als straal " + Straal);
        }
    }
}
