﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace polymorfisme
{
    class Program
    {
        static void Main(string[] args)
        {
            int getal1 = 1, getal2 = 2;
            int som = Optellen(getal1, getal2);
            Console.WriteLine("De som is " + som);
            String s1 = "Joske ", s2 = "Vermeulen";
            String naam = Optellen(s1, s2);
            Console.WriteLine("De naam is " + naam);
            MyString ms1 = new MyString(42);
            MyString ms2 = new MyString(42);
            MyString msresult = Optellen(ms1, ms2);
            Console.WriteLine("Mystring optellen geeft " + msresult.Waarde);
            MyInteger mi1 = new MyInteger(42);
            MyInteger mi2 = new MyInteger(42);
            MyString miresult = Optellen(mi1, mi2);
            Console.WriteLine( "MyInteger optellen geeft " + miresult.Waarde);
            Console.WriteLine(5);
        }
        static int Optellen(int k1, int k2)
        {
            return k1 + k2;
        }
        static String Optellen(String k1, String k2)
        {
            return k1 + k2;
        }
        static MyString Optellen(MyString k1, MyString k2)
        {
            return k1.Plus(k2);
        }
    }
    class MyString
    {
        private int waarde;
        public int Waarde
        {
            get { return waarde; }
            set { waarde = value; }
        }
        public MyString(int waarde)
        {
            this.waarde = waarde;
        }
        public virtual MyString Plus(MyString andere)
        {
            String s = this.waarde.ToString() + andere.waarde.ToString();
            MyString resultaat = new MyString(Convert.ToInt32(s));
            return resultaat;
        }
    }
    class MyInteger : MyString
    {
        public MyInteger(int waarde): base(waarde)
        {

        }
        public override MyString Plus(MyString andere)
        {
            int s = this.Waarde + andere.Waarde;
            MyString resultaat = new MyString(s);
            return resultaat;
        }
    }
}
